This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 448434 - system-config-kickstart crashes when you try to open an existing configuration file
system-config-kickstart crashes when you try to open an existing configuratio...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
8
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 15:44 EDT by paul karrel
Modified: 2008-05-27 10:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 10:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paul karrel 2008-05-26 15:44:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/4.0; Linux) KHTML/4.0.4 (like Gecko) Fedora/4.0.4-4.fc9

Description of problem:
I am trying to modify a kickstart file but when I try to open the file
'Component: system-config-kickstart
Summary: TBff8cda27 install.py:282:applyKickstart:ValueError: too many values to
unpack

Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 316, in
on_activate_open
    self.applyKickstart()
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 341, in
applyKickstart
    self.install_class.applyKickstart()
  File "/usr/share/system-config-kickstart/install.py", line 282, in
applyKickstart
    loginData, data = string.split(data, "@")
ValueError: too many values to unpack

Local variables in innermost frame:
tokens: ['ftp', 'ftp:ftp@pxe0.hidden@pxe0.hidden.trentu.ca/']
protocol: ftp
self: <install.install instance at 0xb6ca250c>
data: ftp:ftp@pxe0.hidden@pxe0.hidden.trentu.ca/ '

I entered pxe0.hidden.trentu.ca for the ftp server with user name ftp & password
ftp@pxe

Version-Release number of selected component (if applicable):
system-config-kickstart-2.7.16-1.fc9.noarch

How reproducible:
Always


Steps to Reproduce:
1.use system-config-kickstart to create ks1.cfg
2.use the above variable for the ftp server
3.close system-config-kickstart then reopen and via file menu open the file
ks1.cfg

Actual Results:
program closes itself

Expected Results:
program should open file for modifing

Additional info:
Comment 1 Chris Lumens 2008-05-27 10:53:24 EDT
The correct syntax here is username:password@host.

Note You need to log in before you can comment on or make changes to this bug.